Ruby - Bug #21197

Prism does not accept newline after defined? keyword
03/22/2025 05:20 PM - kddnewton (Kevin Newton)

Status: Closed
Priority: Normal
Assignee: prism

Target version:

ruby -v: Backport: 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3:
UNKNOWN, 3.4: DONE

Description

defined?

(1)

Associated revisions

Revision 052794bfe1970e90f4f4f9e37fc362dd27903a8d - 03/30/2025 05:22 PM - kddnewton (Kevin Newton)

[ruby/prism] Accept a newline after the defined? keyword
[Bug #21197]

https://github.com/ruby/prism/commit/22be955ce9

Revision 052794bfe1970e90f414f9e37fc362dd27903a8d - 03/30/2025 05:22 PM - kddnewton (Kevin Newton)

[ruby/prism] Accept a newline after the defined? keyword
[Bug #21197]

https://github.com/ruby/prism/commit/22be955ce9

Revision 052794bf - 03/30/2025 05:22 PM - kddnewton (Kevin Newton)

[ruby/prism] Accept a newline after the defined? keyword
[Bug #21197]

https://github.com/ruby/prism/commit/22be955ce9

Revision e630a0f7ae909dafe2e1dbc47baf90cd795b4a5f - 04/14/2025 07:18 AM - kOkubun (Takashi Kokubun)
merge revision(s) 052794bfe1970e90f4f4f9e37fc362dd27903a8d: [Backport #21197]

[ruby/prism] Accept a newline after the defined? keyword
[Bug #21197]
https://github.com/ruby/prism/commit/22be955ce9

Revision €630a0f7ae909dafe2e1dbc47baf90cd795b4a5f - 04/14/2025 07:18 AM - kOkubun (Takashi Kokubun)

merge revision(s) 052794bfe1970e90f4f4f9e37fc362dd27903a8d: [Backport #21197]
[ruby/prism] Accept a newline after the defined? keyword
[Bug #21197]
https://github.com/ruby/prism/commit/22be955ce9

Revision e630a0f7 - 04/14/2025 07:18 AM - kOkubun (Takashi Kokubun)

merge revision(s) 052794bfe1970e90f4f4f9e37fc362dd27903a8d: [Backport #21197]
[ruby/prism] Accept a newline after the defined? keyword

[Bug #21197]
https://github.com/ruby/prism/commit/22be955ce9
https://github.com/ruby/prism/commit/22be955ce9
https://github.com/ruby/prism/commit/22be955ce9
Revision 1¢23¢3095325a4ade2064cc3b35ce8e678e03ebf - 04/14/2025 07:29 AM - kOkubun (Takashi Kokubun)
Revert "merge revision(s) 052794bfe1970e90f4f4f9e37fc362dd27903a8d: [Backport #21197]"
This reverts commit e630a0f7ae909dafe2e1dbc47bafo0cd795b4a5f.
Revision 1¢23c3095325a4ade2064cc3b35ce8e678e03ebf - 04/14/2025 07:29 AM - kOkubun (Takashi Kokubun)
Revert "merge revision(s) 052794bfe1970e90f4f4f9e37fc362dd27903a8d: [Backport #21197]"
This reverts commit e630a0f7ae909dafe2e1dbc47baf90cd795b4a5f.
Revision 1¢23¢309 - 04/14/2025 07:29 AM - kOkubun (Takashi Kokubun)
Revert "merge revision(s) 052794bfe1970e90f4f4f9e37fc362dd27903a8d: [Backport #21197]"
This reverts commit e630a0f7ae909dafe2e1dbc47baf90cd795b4a5f.
Revision 1e3d24a0 - 07/09/2025 09:51 PM - Takashi Kokubun
[ruby/prism] Accept a newline after the defined? keyword [Backport #21197] (#13327)

® [ruby/prism] Accept a newline after the defined? keyword

[Bug #21197]

https://github.com/ruby/prism/commit/22be955ce9

® Fix a compilation error

Co-authored-by: Stan Lo stan001212@gmail.com

Co-authored-by: Kevin Newton kddnewton@gmail.com
Co-authored-by: Stan Lo stan001212@gmail.com

History

#1 - 03/27/2025 01:15 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

#2 - 03/27/2025 08:15 PM - kddnewton (Kevin Newton)

- Backport changed from 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3: UNKNOWN, 3.4: UNKNOWN to 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3: UNKNOWN,
3.4: REQUIRED

#3 - 03/30/2025 05:22 PM - kddnewton (Kevin Newton)

- Status changed from Assigned to Closed

Applied in changeset git|052794bfe1970e90f4f4f9e37fc362dd27903a8d.

[ruby/prism] Accept a newline after the defined? keyword

[Bug #21197]

https://github.com/ruby/prism/commit/22be955ce9

#4 - 04/14/2025 07:18 AM - kOkubun (Takashi Kokubun)

- Backport changed from 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3: UNKNOWN, 3.4: REQUIRED to 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3: UNKNOWN,
3.4: DONE

ruby_3_4 e630a0f7ae909dafe2e1dbc47baf90cd795b4a5f merged revision(s) 052794bfe1970e90f4f4f9e37fc362dd27903a8d.

#5 - 04/14/2025 07:32 AM - kOkubun (Takashi Kokubun)

- Backport changed from 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3: UNKNOWN, 3.4: DONE to 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3: UNKNOWN, 3.4:
REQUIRED
Reverted the backport since backporting the commit failed Cl, e.g. https:/github.com/ruby/ruby/actions/runs/14439756352/job/40487158184.

Could you file a backport PR yourself? Today, it's recommended that you file backport requests in pull requests.

#6 - 07/14/2025 08:46 PM - kOkubun (Takashi Kokubun)

- Backport changed from 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3: UNKNOWN, 3.4: REQUIRED to 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3: UNKNOWN,
3.4: DONE

ruby_3_4 1e3d24a0f47e142270bfb6073feb77{6364af052, 1c23¢3095325a4ade2064cc3b35ce8e678e03ebf,
e€630a0f7ae909dafe2e1dbc47baf90cd795b4a5f merged revision(s) 052794bfe1970e90f4f4f9e37fc362dd27903a8d.
